Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface CounterMonitorMBean

All Superinterfaces:
  MonitorMBean

All Known Implementing Classes:
  CounterMonitor

public interface CounterMonitorMBean
extends MonitorMBean

Exposes the remote management interface of the counter monitor MBean.

Author:
  Young Yang

Method Summary
`java.lang.Number` | `getDerivedGauge(ObjectName object)` Gets the derived gauge for the specified MBean.
`long` | `getDerivedGaugeTimeStamp(ObjectName object)` Gets the derived gauge timestamp for the specified MBean.
`boolean` | `getDifferenceMode()` Gets the difference mode flag value.
`java.lang.Number` | `getInitThreshold()` Gets the initial threshold value common to all observed objects.
`java.lang.Number` | `getModulus()` Gets the modulus value.
`boolean` | `getNotify()` Gets the notification's on/off switch value.
`java.lang.Number` | `getOffset()` Gets the offset value.
`java.lang.Number` | `getThreshold(ObjectName object)` Gets the threshold value for the specified MBean.
`void` | `setDifferenceMode(boolean value)` Sets the difference mode flag value.
`void` | `setInitThreshold(java.lang.Number value)` Sets the initial threshold value common to all observed MBeans.
`void` | `setModulus(java.lang.Number value)` Sets the modulus value.
`void` | `setNotify(boolean value)` Sets the notification's on/off switch value.
`void` | `setOffset(java.lang.Number value)` Sets the offset value.

Methods inherited from interface javax.management.monitor.MonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute`

Method Detail

### getDerivedGauge

    public java.lang.Number getDerivedGauge(ObjectName object)

  Gets the derived gauge for the specified MBean.
  Parameters:
    `object` - the MBean for which the derived gauge is to be returned
  Returns:
    The derived gauge for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.
  Since:
    JMX 1.2

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(ObjectName object)

  Gets the derived gauge timestamp for the specified MBean.
  Parameters:
    `object` - the MBean for which the derived gauge timestamp is to be returned
  Returns:
    The derived gauge timestamp for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.
  Since:
    JMX 1.2

### getThreshold

    public java.lang.Number getThreshold(ObjectName object)

  Gets the threshold value for the specified MBean.
  Parameters:
    `object` - the MBean for which the threashold value is to be returned
  Returns:
    The threshold value for the specified MBean if this MBean is in the set of observed MBeans, or `null` otherwise.
  Since:
    JMX 1.2

### getInitThreshold

    public java.lang.Number getInitThreshold()

  Gets the initial threshold value common to all observed objects.
  Returns:
    The initial threshold value.
  Since:
    JMX 1.2
  See Also:
    `setInitThreshold(java.lang.Number)`

### setInitThreshold

    public void setInitThreshold(java.lang.Number value)
                          throws java.lang.IllegalArgumentException

  Sets the initial threshold value common to all observed MBeans.
  Parameters:
    `value` - The initial threshold value.
  Throws:
    `java.lang.IllegalArgumentException` - The specified threshold is null or the threshold value is less than zero.
  Since:
    JMX 1.2
  See Also:
    `getInitThreshold()`

### getOffset

    public java.lang.Number getOffset()

  Gets the offset value.
  Returns:
    The offset value.
  See Also:
    `setOffset(Number)`

### setOffset

    public void setOffset(java.lang.Number value)
                   throws java.lang.IllegalArgumentException

  Sets the offset value.
  Parameters:
    `value` - The offset value.
  Throws:
    `java.lang.IllegalArgumentException` - The specified offset is null or the offset value is less than zero.
  See Also:
    `getOffset()`

### getModulus

    public java.lang.Number getModulus()

  Gets the modulus value.
  Returns:
    The modulus value.
  See Also:
    `setModulus(java.lang.Number)`

### setModulus

    public void setModulus(java.lang.Number value)
                    throws java.lang.IllegalArgumentException

  Sets the modulus value.
  Parameters:
    `value` - The modulus value.
  Throws:
    `java.lang.IllegalArgumentException` - The specified modulus is null or the modulus value is less than zero.
  See Also:
    `getModulus()`

### getNotify

    public boolean getNotify()

  Gets the notification's on/off switch value.
  Returns:
    `true` if the counter monitor notifies when exceeding the threshold, `false` otherwise.
  See Also:
    `setNotify(boolean)`

### setNotify

    public void setNotify(boolean value)

  Sets the notification's on/off switch value.
  Parameters:
    `value` - The notification's on/off switch value.
  See Also:
    `getNotify()`

### getDifferenceMode

    public boolean getDifferenceMode()

  Gets the difference mode flag value.
  Returns:
    `true` if the difference mode is used, `false` otherwise.
  See Also:
    `setDifferenceMode(boolean)`

### setDifferenceMode

    public void setDifferenceMode(boolean value)

  Sets the difference mode flag value.
  Parameters:
    `value` - The difference mode flag value.
  See Also:
    `getDifferenceMode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD